package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.MwfData;

import java.util.Map;
import java.util.HashMap;

public class MWFIN7Data implements MwfData {

    private Map<String, Object> params = new HashMap<>();
    
    private MWFIN7Data() {}

    public static MWFIN7Data builder() {
        return new MWFIN7Data();
    }

    public MWFIN7Data rsCountryCodes(String rsCountryCodes) {
        params.put("RS_COUNTRY_CODES", rsCountryCodes);
        return this;
    } 

    public Map<String, Object> getParams() {
        return params;
    }

}
